#!/bin/bash -e
#
# Downloads and installs 'hosts' blocklist for ad-blocking.
# https://github.com/StevenBlack/hosts
#
###############################################################################

set -o pipefail

###############################################################################

hash mv
hash curl
hash sudo
hash chmod

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Downloading hosts...                                                 -"
echo "------------------------------------------------------------------------"

curl -L -o "hosts.block" "http://sbc.io/hosts/hosts"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Installing hosts...                                                  -"
echo "------------------------------------------------------------------------"

sudo mv -v "hosts.block" "/etc/hosts.block"
sudo chmod 644 "/etc/hosts.block"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
